#ifndef _neogeo_h
#define _neogeo_h

#define TEMPORARY_FILE	1000

enum {
	BTN_NONE,
	BTN_AB,
	BTN_AC,
	BTN_AD,
	BTN_BC,
	BTN_BD,
	BTN_CD,
	BTN_ABC,
	BTN_ABD,
	BTN_BCD,
	BTN_ABCD,
	BTN_CMB1,
	BTN_CMB2,
	BTN_CMB3,
	BTN_CMB4,
	BTN_CMB5,
	BTN_CMB6,
	BTN_CMB7,
	BTN_CMB8,
	BTN_AF_A,
	BTN_AF_B,
	BTN_AF_C,
	BTN_AF_D
};

enum {
	BIOS_TYPE_STANDARD = 0,
	BIOS_TYPE_DEBUG,
	BIOS_TYPE_MAX
};

/* drivers/neogeo.c */
void neogeo_change_driver(int game);
void neogeo_set_driver(int game);

/* vidhrdw/neogeo.c */
void neogeo_save_screen(void);
void neogeo_restore_screen(void);
int restore_contexts(int filetype, const int slot);
int save_contexts(int filetype, const int slot);
int check_state_data(void);

/* machine/neogeo.c */
void get_date_and_time(void);

/* patch/patch.c */
void neogeo_garou_patch(void);
void neogeo_fightfev_patch(void);

#endif
