/******************************************************************************

  palette.c

  Palette handling functions.

  There are several levels of abstraction in the way MAME handles the palette,
  and several display modes which can be used by the drivers.

******************************************************************************/

#ifdef __cplusplus
extern "C" {
#endif

#ifndef PALETTE_H
#define PALETTE_H

int palette_start(void);
void palette_stop(void);
int palette_init(void);

void palette_change_color(int color,unsigned char red,unsigned char green,unsigned char blue);

#ifdef __cplusplus
}
#endif

#endif
