/*********************************************************************

  ui_font.h

  {ꕶ⏕}Nyъ֐񋟂܂B

*********************************************************************/

#ifndef UI_FONT_H
#define UI_FONT_H

#define ASCII   0  // ASCII
#define HKANA   1  // pȕ
#define ZKANJI  2  // Sp

#define iszen1(c)  (((c) >= 0x81 && (c) <= 0x9f) | ((c) >= 0xe0 && (c) <= 0xfc))
#define iszen2(c)  ((c) >= 0x40 && (c) <= 0xfc && (c) != 0x7f)
#define ishkana(c) ((c) >= 0xa0 && (c) <= 0xdf)

#define FONT_NORMAL       0
#define FONT_PROPORTIONAL 1
#define FONT_BOLD         2

#define PFONT_END 0x590 // 888Fh ܂

int get_chartype(const char *s);
unsigned short get_uifont_code(const char *s);
int get_fontwidth(int code, int fonttype);
int uifont_buildfont(void);
void uifont_freefont(void);
int uifont_decodechar(unsigned char *s, unsigned short *code);
int uifont_drawfont(struct osd_bitmap *bitmap, const char *s,int sx, int sy,
                    int color, int fontcolor, int drawmode, int fonttype);
int strwidth(const char *s, int fonttype);

#endif
